[device]
device=Tiny841
DeviceID=$1E9315
HLL=true
HVP=true
LVP=true
POLL=$FF
PollRdy=true
MOVW=true
LPMinc=true
pintoggle=true
PageSize=16
EEpage=4
enhancedcore=true
ExtTIMSK=false
ExtTCCR=true

[fuses]
fuses=0
fuse05=0
fuse11=0
fuse40=0
rcen=0
ReadLock=true

[lockbitsWR0]
Adr=16
Mask=$03
cmd=$ACE00000
0=LOCKBIT1
1=LOCKBIT2

[lockbitsRD0]
Adr=0
Mask=$03
cmd=$58000000
0=LOCKBIT1
1=LOCKBIT2

[FusebitsWR0]
Adr=0
Mask=$FF
cmd=$ACA00000
0=CKSEL0
1=CKSEL1
2=CKSEL2
3=CKSEL3
4=SUT0
5=SUT1
6=CKOUT
7=CKDIV8

[FusebitsRD0]
Adr=0
Mask=$FF
cmd=$50000000
0=CKSEL0
1=CKSEL1
2=CKSEL2
3=CKSEL3
4=SUT0
5=SUT1
6=CKOUT
7=CKDIV8

[FusebitsWR1]
Adr=0
Mask=$DF
cmd=$ACA80000
0=BODLEVEL0
1=BODLEVEL1
2=BODLEVEL2
3=EESAVE
4=WDTON
6=DWEN
7=RSTDISBL

[FusebitsRD1]
Adr=0
Mask=$FF
cmd=$58080000
0=BODLEVEL0
1=BODLEVEL1
2=BODLEVEL2
3=EESAVE
4=WDTON
5=SPIEN
6=DWEN
7=RSTDISBL

[FusebitsWR2]
Adr=0
Mask=$01
cmd=$ACA40000
0=SELFPRGEN

[FusebitsRD2]
Adr=0
Mask=$01
cmd=$50080000
0=SELFPRGEN

[Specials0]
Mode=RD
name=Calibration
cmd=$38000000
Mask=$ff
Adr=0
calbytes=1
CalByte0=8MHz

[memory]
datastart=$0
dataend=$1f

pdatastart=$20
pdataend=$FF

idatastart=$0100
idataend=$3FF

eepromstart=$00
eepromend=$1FF

romtotstart=$00
romtotend=$1FFF

[stack]
stackptrsize=16
StackStart=0
StackEnd=0
FrameEnd=18
PCsize=16

[controlregs_W]
ocr1b=$48
ocr1a=$4a
icr1=$44
tcnt1=$4c
adc=$26

[controlregs]
tccr2a=$ca
tccr2b=$c9
tccr2c=$c8
tcnt2h=$c7
tcnt2l=$c6
ocr2ah=$c5
ocr2al=$c4
ocr2bh=$c3
ocr2bl=$c2
icr2h=$c1
icr2l=$c0

spcr=$b2
spsr=$b1
spdr=$b0

twscra=$a5
twscrb=$a4
twssra=$a3
twsa=$a2
twsam=$a1
twsd=$a0

usr1=$96
ucsr1a=$96
usr2=$9b
ucr1=$95
ucsr1b=$95
ucr2=$95
ucsr1c=$94
ucsr1d=$93
ubrr1=$92
ubrr1h=$92
ubrr1l=$91
ubrr2=$91
udr2=$90

usr0=$86
ucsr0a=$86
ucr0=$85
ucsr0b=$85
ucsr0c=$84
ucsrc=$84
ucsr0d=$83
ubrr0=$82
ubrr0h=$82
ubrr0l=$81
udr1=$80

osccal1=$77
osctcal0b=$76
osctcal0a=$75
osccal0=$74
clkpr=$73
clkcr=$72
ccp=$71
prr=$70

phde=$6a

tocpmsa1=$68
tocpmsa0=$67
tocpmcoe=$66
remap=$65
portcr=$64
puea=$63
pueb=$62
didr1=$61
didr0=$60

sreg=$5f
sph=$5e
spl=$5d
ocr0b=$5c
gimsk=$5b
gifr=$5a
timsk=$59
timsk0=$59
tifr0=$58
spmcr=$57
spmcsr=$57
ocr0a=$56
mcucr=$55
mcucsr=$54
mcusr=$54
tccr0b=$53
tccr0=$53
tcnt0=$52

tccr0a=$50
tccr1a=$4f
tccr1b=$4e
tcnt1h=$4d
tcnt1l=$4c
ocr1ah=$4b
ocr1al=$4a
ocr1bh=$49
ocr1bl=$48

dwdr=$47

icr1h=$45
icr1l=$44
gtccr=$43
tccr1c=$42
wdtcr=$41
wdtcsr=$41
pcmsk1=$40
;eearh=$3f
eearh=$3f
eearl=$3e
eear=$3e
eedr=$3d
eecr=$3c

porta=$3b
ddra=$3a
pina=$39
portb=$38
ddrb=$37
pinb=$36

gpior2=$35
gpior1=$34
gpior0=$33
pcmsk0=$32
timsk2=$31
tifr2=$30
timsk1=$2f
tipfr1=$2e
acsr1b=$2d
acsr1a=$2c
acsr0b=$2b
acsr0a=$2a
admux=$29
admuxa=$29
admuxb=$28
adch=$27
adcl=$26
adcsr=$25
adcsra=$25
adcsrb=$24

[PortMasks]
maskb=$0f

[controlbits]
toie0=0
tov0=0
ocie0=1
ocie0a=1
ocie0b=2

toie1=0
tov1=0
ocie1=1
ocie1a=1
ocie1b=1
ocie1=1

toie2=0
tov2=0
ocie2=1
ocie2a=2
ocie2b=2

wgm01=1
wgm12=8

[interruptvectors]
vectormethod=RJMP
nrofvectors=31
vectnr0=RESET
vectnr1=INT0
vectnr2=PCINT0
vectnr3=PCINT1
vectnr4=WDT
vectnr5=TIMER1CAPT
vectnr6=TIMER1COMPA
vectnr7=TIMER1COMPB
vectnr8=TIMER1
vectnr9=TIMER0COMPA
vectnr10=TIMER0COMPB
vectnr11=TIMER0
vectnr12=ACOMP0
vectnr13=ADCRDY
vectnr14=EERDY
vectnr15=ACOMP1
vectnr16=TIMER2CAPT
vectnr17=TIMER2COMPA
vectnr18=TIMER2COMPB
vectnr19=TIMER2
vectnr20=SPI
vectnr21=USART0RXS
vectnr22=USART0RXC
vectnr23=USART0DRE
vectnr24=USART0TXC
vectnr25=USART1RXS
vectnr26=USART1RXC
vectnr27=USART1DRE
vectnr28=USART1TXC
vectnr29=TWI
vectnr30=RESEVERD

[PCINT]
PCINT0=PinA
PCINT1=PinB
PCICR=GIMSK
PCIFR=GIFR
PCIF0=4
PCIFmask=$30

[peripheral]
timer0=true
timer1=true
pwm1=true
pwm1a=true
pwm1b=true
pwm1pin=6
pwm1apin=6
pwm1port=DDRA
pwm1aport=DDRA
pwm2pin=5
pwm1bpin=5
pwm2port=DDRA
pwm1bport=DDRA
adc=8
CMPPort=PORTA
CMPmask=$06
I2C=true
async=true
async2=true
USART=true

[timer1]
port=DDRA
oc1a=7
oc1b=6
Capt=PinB
icp=4

[extint0]
mask=GIMSK
flag=GIFR
bit=6
port=PINB
pin=1

[SysTick]
0=1
1=8
2=64
3=256
4=1024
